package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.TreeEntity;

import java.util.List;

/**
 * 中关村导航管理对象 nav_info
 *
 * @author ruoyi
 * @date 2021-12-29
 */
public class NavInfo extends TreeEntity
{
    private static final long serialVersionUID = 1L;

    /** 导航栏id */
    private Long navId;

    /** 导航栏父级id(不填写默认父级) */
    @Excel(name = "导航栏父级id(不填写默认父级)")
    private Long navParent;

    /** 导航栏内容 */
    @Excel(name = "导航栏内容")
    private String navTitle;

    /** 导航栏连接 */
    @Excel(name = "导航栏连接")
    private String navUrl;

    /** 导航栏等级 */
    @Excel(name = "导航栏等级")
    private Long navLevel;

    /** 导航栏顺序 */
    @Excel(name = "导航栏顺序")
    private Long navOrder;

    public List<NavInfo> getNavInfos() {
        return navInfos;
    }

    public void setNavInfos(List<NavInfo> navInfos) {
        this.navInfos = navInfos;
    }

    private List<NavInfo> navInfos;

    public void setNavId(Long navId)
    {
        this.navId = navId;
    }

    public Long getNavId()
    {
        return navId;
    }
    public void setNavParent(Long navParent)
    {
        this.navParent = navParent;
    }

    public Long getNavParent()
    {
        return navParent;
    }
    public void setNavTitle(String navTitle)
    {
        this.navTitle = navTitle;
    }

    public String getNavTitle()
    {
        return navTitle;
    }
    public void setNavUrl(String navUrl)
    {
        this.navUrl = navUrl;
    }

    public String getNavUrl()
    {
        return navUrl;
    }
    public void setNavLevel(Long navLevel)
    {
        this.navLevel = navLevel;
    }

    public Long getNavLevel()
    {
        return navLevel;
    }
    public void setNavOrder(Long navOrder)
    {
        this.navOrder = navOrder;
    }

    public Long getNavOrder()
    {
        return navOrder;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("navId", getNavId())
            .append("navParent", getNavParent())
            .append("navTitle", getNavTitle())
            .append("navUrl", getNavUrl())
            .append("navLevel", getNavLevel())
            .append("navOrder", getNavOrder())
            .toString();
    }
}
