package com.ruoyi.system.controller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.entity.SysDictData;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.system.domain.NewsInfo;
import com.ruoyi.system.service.impl.SysDictDataServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @description:
 * @author: 11375
 * @date: 2021/12/30 10:53
 */
@RestController
@RequestMapping("/website/dict")
public class SystemDictController  extends BaseController {
    @Autowired
    private SysDictDataServiceImpl sysDictDataService;

    @GetMapping("/list")
    public TableDataInfo list(SysDictData sysDictData)
    {
        startPage();
        List<SysDictData> list = sysDictDataService.selectDictDataList(sysDictData);
        return getDataTable(list);
    }
}
